<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Ecommerce_X
 */

get_header();
?>
<section class="blog-list">
	<div class="container">
		<div class="row">
			<div class="col-xl-8 col-lg-12">
				<div class="blogs">
					<div class="blog-holder">
						<div class="blog-body">
							<h4 class="mt-0"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'ecommerce-x' ); ?></h4>

							<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'ecommerce-x' ); ?></p>
							<?php
							get_search_form();
							?>
						</div>	
					</div>
				</div>	
			</div>
		</div>
	</div>
</section>		


	<?php
	get_footer();
